package com.ynfy.buss.exam.examreview.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.examreview.dto.PreviewSubmitDTO;
import com.ynfy.buss.exam.examreview.entity.ExamReview;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;

/**
 * @Description: 阅卷
 * @Author: jeecg-boot
 * @Date: 2023-04-08
 * @Version: V1.0
 */
public interface IExamReviewService extends IService<ExamReview> {


    /**
     * 统计需阅卷的考试
     *
     * @return
     */
    List<ExamReview> calcReview();


    boolean removeByExamIds(List<String> examIds);


    void save(List<ExamReview> examReviews);


    void submitPreview(PreviewSubmitDTO dto);


    IPage<ExamReview> selectPageList(IPage<ExamReview> page, ExamReview examReview, LoginUser user);

}
